Package org.drinkless.tdlib

# Class TdApi.InputCredentialsNew

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputCredentials
org.drinkless.tdlib.TdApi.InputCredentialsNew

Enclosing class:
  TdApi

public static class TdApi.InputCredentialsNew extends TdApi.InputCredentials
Applies if a user enters new credentials on a payment provider website.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputCredentials

  `TdApi.InputCredentials.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowSave`
  True, if the credential identifier can be saved on the server side.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `data`
  JSON-encoded data with the credential identifier from the payment provider.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputCredentialsNew()`
  Applies if a user enters new credentials on a payment provider website.
  `InputCredentialsNew(String data, boolean allowSave)`
  Applies if a user enters new credentials on a payment provider website.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    public String data
    JSON-encoded data with the credential identifier from the payment provider.

  - ### allowSave

    public boolean allowSave
    True, if the credential identifier can be saved on the server side.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputCredentialsNew

    public InputCredentialsNew()
    Applies if a user enters new credentials on a payment provider website.

  - ### InputCredentialsNew

    public InputCredentialsNew(String data, boolean allowSave)
    Applies if a user enters new credentials on a payment provider website.
    Parameters:
      `data` - JSON-encoded data with the credential identifier from the payment provider.
      `allowSave` - True, if the credential identifier can be saved on the server side.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputCredentials`
    Returns:
      this.CONSTRUCTOR